Bug 53300 - Chart: Impossible to choose non-contiguous range when, editing data range with use of the Expand button
Summary: Chart: Impossible to choose non-contiguous range when, editing data range wit...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Chart-Wizard
  Show dependency treegraph
 
Reported: 2012-08-09 14:49 UTC by bureautiquelibre
Modified: 2019-01-14 16:14 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF showing the Bug (174.61 KB, application/pdf)
2013-07-29 15:05 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2012-08-09 14:49:04 UTC
In an existing sheet, create a chart, then try to edit the data range by selecting it from the sheet.

Try to select 2 non-contiguous columns, ex. column A & C without selecting column B.

Selection is considered finished when mouse button is depressed, even if I keep the 'Ctrl' key pressed, the only way to select non contiguous data is either to enter it by hand or create a newchert from scratch.
Comment 1 billhook 2012-08-10 00:03:08 UTC
I could not reproduce on LO3.6.0.4 WinVista32bit.

I can select multiple non-contiguous columns by holding down Ctrl and clicking the column headings individually.
Comment 2 bureautiquelibre 2012-08-10 07:49:25 UTC
A few additional elements, my first descritpion was quite unclear:

The problem occurs on existing charts, when trying to edit the data range.

Trying to select several non contiguous cell blocks doesn't work, once the mouse button is depressed, calc fills the data range and won't accept any other selection.

I also tried to click on the column headings, it has no effect at all.

Occurs on LO3.6.0.4 Win XP & 3.5.4.2 WinXP.
Comment 3 billhook 2012-08-20 21:39:33 UTC
I see what you mean.

I tried doing the same thing in Excel 2007 and it does let you select multiple regions.

I don't know if this is a bug in the current LibreOffice or if this would be considered an enhancement. It may be working "as designed".
Comment 4 bureautiquelibre 2012-09-11 14:07:20 UTC
Well, it's annoying enough that several users reported it to me.
Maybe the feature needs enhancement to be more user friendly.
Comment 5 billhook 2012-09-12 06:54:47 UTC
Do you know if this used to work on previous versions of LibreOffice? e.g. 3.5 ??
Comment 6 Michael Crouch 2012-11-12 18:13:28 UTC
This may be related to bug 55697 ("impossible to define data ranges beyond actual filled cells").
Comment 7 stragu 2013-02-07 01:31:46 UTC
I can confirm this in LO 3.6.4.3, Ubuntu 12.10.
It is a problem as it is something that is possible when creating a new chart but not when editing its data range later on. It makes it inconsistent.
When sorting rows, the data range of the chart doesn't follow automatically the reorganised cells, which means the data ranges have to be edited by hand, or the user has to start again from scratch.
This highly disrupts the workflow.
Comment 8 Pedro 2013-07-29 15:05:57 UTC
Created attachment 83210 [details]
PDF showing the Bug
Comment 9 Pedro 2013-07-29 15:13:15 UTC
This bug is still present in Libre Office 4.1.

When I try to create a new graph, in the graphic assistant wizard it is impossible to select non-contiguous cells. When selecting the data interval, when I stop pressing the mouse button it stops the selection regardless of keeping Ctrl button pressed.

It is disruptive and impacts productivity a lot when trying to prepare graphics that have lots of repeated data and where you want to select relevant data in non-contiguous cells. The PDF I sent shows an example of such a use case.

Considering that working with Calc is essential for many people I would say this is important.
Comment 10 billhook 2014-01-08 05:43:02 UTC
I changed this ticket back to NEW (I don't know why it was changed from NEW back to NEEDINFO in the first place; all the information required is here)
Comment 11 luca m. 2014-09-08 09:33:28 UTC
Confirming. This bug is present on 3.4.1 and 4.x.
It is a very annoying bug, my colleagues has documents full of graphs and editing all of these is a very pain.
Comment 12 Francisco 2015-04-17 01:53:42 UTC
Yes, a really annoying bug... I have got used to type the "formula range" in it's corresponding field instead of selecting the range with the mouse.
Comment 13 Yousuf Philips (jay) (retired) 2015-04-17 20:08:42 UTC
Yes i can see how this would be annoying to users modifying an existing chart.

I would propose that it doesnt auto expand from the data range floating dialog until the user presses the 'expand' button, as that is the purpose of the button.
Comment 14 Francisco 2015-04-18 18:53:49 UTC
(In reply to Jay Philips from comment #13)
> Yes i can see how this would be annoying to users modifying an existing
> chart.
> 
> I would propose that it doesnt auto expand from the data range floating
> dialog until the user presses the 'expand' button, as that is the purpose of
> the button.

I agree, though there's one more issue regarding the title of this bug:

Steps.
1) From the edit mode of a chart which already have series, right click -> modify data
2) Try to modify any series, pressing the corresponding button
3) The "select range" window appears, and it has the text corresponding to the actual range already selected.
4) Try to select the range to append, pressing Control + selecting this new range with the mouse.

Actual results:
Original range is deleted, and the selected range is the only one

Expected
The range selected while pressing Ctrl is appended to the original range.


Workaround
1) With the "select range" window opened, deselect the actual range
a2) Manually, add a "comma" at the end of the range.
3) Proceed selecting (no Ctrl key pressed is necessary).


Regards.
Comment 15 Yousuf Philips (jay) (retired) 2015-04-19 15:39:54 UTC
If the floating dialog didnt auto expand, i'd assume that ctrl + select would automatically work, but i guess the dev who takes this on would have to confirm that.
Comment 16 Robinson Tryon (qubit) 2015-12-13 11:21:36 UTC Comment hidden (obsolete)
Comment 17 Yousuf Philips (jay) (retired) 2016-08-12 17:48:11 UTC
@Cor, @Stuart, @Heiko: What's your take on this and my suggested solution in comment 13?

@Eike: Any input on this issue?
Comment 18 Cor Nouws 2016-08-12 21:46:41 UTC
(In reply to Yousuf (Jay) Philips from comment #17)
> @Cor, @Stuart, @Heiko: What's your take on this and my suggested solution in
> comment 13?

Fine - don't use that often, but do remember it's annoying in the current state.
Comment 19 V Stuart Foote 2016-08-12 21:54:19 UTC
@Jay, *

Yes, a UI holding off expansion until all selections are added and the button is selected makes sense.
Comment 20 Gavin D 2017-02-12 14:59:27 UTC
This problem appears to be unresolved after four and a half years since it was first reported! I have tested LibreOffice Calc v5.1.3.2 on Linux Mint 17.3 64-bit, and v5.2.0.1 on Windows 7 Professional 64-bit. At the risk of redundancy, allow me to detail the steps to reproduce the condition:

1.) Double-click a chart to edit it.
2.) Right-click the chart and select Data Ranges...
3.) On the Data Series tab, click the minimize icon next to the Categories field.
4.) Select any cell, and the "Select Range for Categories: Area" dialogue automatically expands to the main "Data Ranges" dialogue, preventing any further selection.

In order to add more cells to the range, the minimize button must be clicked again, the cursor moved to the end of the line to deselect its current content, a semi-colon added (or a comma, in my case), and the next desired cell selected. Rinse and repeat...

Is it difficult to remove the line of code that forces the selection dialogue to expand on lifting the mouse button? Manually adding a delimiter on selection, instead of its automatic addition, as performed by other spreadsheet programs, is not a major issue, but navigating the entire multi-click process for every cell required is extremely laborious on large spreadsheets.

Finally (this should probably be submitted on it's own bug report), there is no way to exit the chart editing dialogue without the chart being updated with the new selection. It doesn't matter whether the OK, Cancel or Close (X) button is clicked, or the dialogue is closed by means of the Escape key, the newly selected, potentially erroneous data range appears on the chart. And, there is no undo function that reverses the mess!
Comment 21 Cor Nouws 2017-02-12 17:16:45 UTC
(In reply to Gavin D from comment #20)

> Is it difficult to remove the line of code that forces the selection
> dialogue to expand on lifting the mouse button?

Maybe, maybe not. Feel free to take a look: https://wiki.documentfoundation.org/Development
Comment 22 Pedro 2017-12-28 11:27:39 UTC Comment hidden (no-value)
Comment 23 Cor Nouws 2017-12-28 12:11:15 UTC
(In reply to Pedro from comment #22)
> So this bug, which I reported as still present in 2013, that is classified
> as High Major in importance is still not resolved?

Thanks for pointing to this error.
It is a normal bug. Already present from OOo times. With a simple work around: type the range. And I think that not a majority of LibreOffice users is affected ;)
I do not intend to annoy you, but we all need to be realistic in terms of expectations.
Comment 24 Pedro 2018-01-02 15:37:15 UTC Comment hidden (no-value)
Comment 25 Tor Lillqvist 2018-02-05 11:01:18 UTC
Feel free to use Excel. It is excellent software. We won't mind.
Comment 26 Adolfo Jayme 2018-02-05 14:22:39 UTC
Pedro et al., may I remind you of Bugzilla’s etiquette, § “No obligation”?
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 27 Regina Henschel 2018-03-04 16:04:36 UTC
I suggest a "want fix". The range chooser is exactly for the purpose of having simple structured source date. Advanced cases can be solved in the data series tab/dialog.

In the simple case, where the x-values are in the left most column and several y- data series are in not adjacent columns but in the same rows as the x-values, the selection with Ctrl-key works in range chooser.
Comment 28 Francisco 2018-03-04 17:34:24 UTC
(In reply to Regina Henschel from comment #27)
> In the simple case, where the x-values are in the left most column and
> several y- data series are in not adjacent columns but in the same rows as
> the x-values, the selection with Ctrl-key works in range chooser.

Sorry but it doesn't: pressing Ctrl key doesn't stop the behavior described. Instead after selecting one cell and release the mouse click, the selection dialog is closed.
One must then:
1) press the selection dialog button again
2) unselect the previous data range in order to avoid overwrite
3) press Ctrl key to select the new cell and select. Alternatively, one could also insert a comma after the selection range and then select the nre cell
4) repeat the procedure for as many cells should be selected.

The idea is behind this is allow the user to select as many ranges as desired and come back the data series dialog only after pressing the corresponding button instead of after the release of the mouse click.

Otherwise... Why is the button that finish the selection in the data series selection dialog?
Comment 29 Regina Henschel 2018-03-04 20:04:28 UTC
(In reply to Francisco from comment #28)
> 
> Sorry but it doesn't: pressing Ctrl key doesn't stop the behavior described.
> Instead after selecting one cell and release the mouse click, the selection
> dialog is closed.

You are right for an existing chart. To add something you have to deselect the field, add a semicolon at the end of the line, and then select the next part.

Finish selection not on mouse up but with click on the expand/shrink button might work better.
Comment 30 Pedro 2018-12-01 10:42:57 UTC
Well, since this bug is still in 6.2 I decided to follow a different approach:

I care about getting this fixed, so I'm offering USD 20 via FreedomSponsors to the first person who fix it.

Offer link: /issue/841/chart-impossible-to-choose-non-contiguous-range-when-editing-data-range-with-use-of-the-expand-button

You can also join me and throw in a few bucks there and we'll get it fixed faster :)
					
If you fix this issue (see my acceptance criteria there) please use that site to request your payment.

I'll pay a meal to the kind hearted dev that fixes this. :D
Comment 31 Xisco Faulí 2019-01-14 16:10:10 UTC
*** Bug 122012 has been marked as a duplicate of this bug. ***
Comment 32 Xisco Faulí 2019-01-14 16:14:10 UTC
*** Bug 122007 has been marked as a duplicate of this bug. ***